<definitions targetNamespace="OfficeTalk" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="OfficeTalk" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
	<types>
		<xsd:schema elementFormDefault="qualified" targetNamespace="OfficeTalk" xmlns:tns="OfficeTalk" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
			<xsd:complexType name="CollectionOfSOAPProcessData">
				<xsd:sequence>
					<xsd:element maxOccurs="unbounded" minOccurs="0" name="SOAPProcessData" type="tns:SOAPProcessData"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CollectionOfSOAPProcess">
				<xsd:sequence>
					<xsd:element maxOccurs="unbounded" minOccurs="0" name="SOAPProcess" type="tns:SOAPProcess"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CollectionOfSOAPProcessTemplate">
				<xsd:sequence>
					<xsd:element maxOccurs="unbounded" minOccurs="0" name="SOAPProcessTemplate" type="tns:SOAPProcessTemplate"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPLogin">
				<xsd:sequence>
					<xsd:element name="password" type="xsd:string"></xsd:element>
					<xsd:element name="worker" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPProcessName">
				<xsd:sequence>
					<xsd:element name="name" type="xsd:string"></xsd:element>
					<xsd:element name="category" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPProcessData">
				<xsd:sequence>
					<xsd:choice minOccurs="0">
						<xsd:element minOccurs="0" name="stringValue" type="xsd:string"></xsd:element>
						<xsd:element minOccurs="0" name="integerValue" type="xsd:int"></xsd:element>
						<xsd:element minOccurs="0" name="doubleValue" type="xsd:double"></xsd:element>
						<xsd:element minOccurs="0" name="floatValue" type="xsd:float"></xsd:element>
						<xsd:element minOccurs="0" name="booleanValue" type="xsd:boolean"></xsd:element>
						<xsd:element minOccurs="0" name="dateValue" type="xsd:date"></xsd:element>
						<xsd:element minOccurs="0" name="timeValue" type="xsd:time"></xsd:element>
					</xsd:choice>
					<xsd:element name="group" type="xsd:string"></xsd:element>
					<xsd:element name="item" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPLoginException">
				<xsd:sequence>
					<xsd:element minOccurs="0" name="messageText" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPBadProcessException">
				<xsd:sequence>
					<xsd:element minOccurs="0" name="messageText" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPProcess">
				<xsd:sequence>
					<xsd:element name="name" type="tns:SOAPProcessName"></xsd:element>
					<xsd:element name="identity" type="xsd:int"></xsd:element>
					<xsd:element name="description" type="xsd:string"></xsd:element>
					<xsd:element name="additionalName" type="xsd:string"></xsd:element>
					<xsd:element name="currentStep" type="tns:SOAPStep"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPStep">
				<xsd:sequence>
					<xsd:element name="name" type="tns:SOAPStepName"></xsd:element>
					<xsd:element name="date" type="xsd:date"></xsd:element>
					<xsd:element name="description" type="xsd:string"></xsd:element>
					<xsd:element name="time" type="xsd:time"></xsd:element>
					<xsd:element name="worker" type="tns:SOAPWorker"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPStepName">
				<xsd:sequence>
					<xsd:element name="name" type="xsd:string"></xsd:element>
					<xsd:element name="category" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPWorker">
				<xsd:sequence>
					<xsd:element name="name" type="xsd:string"></xsd:element>
					<xsd:element name="loginPath" type="xsd:string"></xsd:element>
					<xsd:element name="description" type="xsd:string"></xsd:element>
					<xsd:element name="loginName" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPEngineInUseException">
				<xsd:sequence>
					<xsd:element minOccurs="0" name="messageText" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPSchedulerInUseException">
				<xsd:sequence>
					<xsd:element minOccurs="0" name="messageText" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPBadPermissionException">
				<xsd:sequence>
					<xsd:element minOccurs="0" name="messageText" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPProcessTemplate">
				<xsd:sequence>
					<xsd:element name="name" type="tns:SOAPProcessName"></xsd:element>
					<xsd:element minOccurs="0" name="firstStep" type="tns:SOAPStepTemplate"></xsd:element>
					<xsd:element minOccurs="0" name="worker" type="tns:SOAPWorker"></xsd:element>
					<xsd:element name="description" type="xsd:string"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="SOAPStepTemplate">
				<xsd:sequence>
					<xsd:element name="name" type="tns:SOAPStepName"></xsd:element>
					<xsd:element name="estimatedTime" type="xsd:int"></xsd:element>
					<xsd:element name="description" type="xsd:string"></xsd:element>
					<xsd:element name="worker" type="tns:SOAPWorker"></xsd:element>
				</xsd:sequence>
			</xsd:complexType>
		</xsd:schema>
	</types>
	<message name="TakeoverProcessesSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="TakeoverProcessesSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcess"></part>
	</message>
	<message name="TakeoverProcessesFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="TakeoverProcessesFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="TakeoverProcessesFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="OwnedProcessTemplatesSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="OwnedProcessTemplatesSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcessTemplate"></part>
	</message>
	<message name="OwnedProcessTemplatesFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="OwnedProcessTemplatesFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="OwnedProcessTemplatesFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="IsLoggedInSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="IsLoggedInSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="VisibleProcessTemplatesSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="VisibleProcessTemplatesSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcessTemplate"></part>
	</message>
	<message name="VisibleProcessTemplatesFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="VisibleProcessTemplatesFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="VisibleProcessTemplatesFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="UsedProcessDataSoapIn">
		<part name="name" type="tns:SOAPProcessName"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="UsedProcessDataSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcessData"></part>
	</message>
	<message name="UsedProcessDataFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="UsedProcessDataFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="StartProcessWithDataSoapIn">
		<part name="name" type="tns:SOAPProcessName"></part>
		<part name="additionalName" type="xsd:string"></part>
		<part name="processData" type="tns:CollectionOfSOAPProcessData"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="StartProcessWithDataSoapOut">
		<part name="return" type="tns:SOAPProcess"></part>
	</message>
	<message name="StartProcessWithDataFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="StartProcessWithDataFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="StartProcessWithDataFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="StartProcessWithDataFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="StartProcessWithDataFaultBadPermission">
		<part name="BadPermission" type="tns:SOAPBadPermissionException"></part>
	</message>
	<message name="ProcessTemplatesSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="ProcessTemplatesSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcessTemplate"></part>
	</message>
	<message name="ProcessTemplatesFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="ProcessTemplatesFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="ProcessTemplatesFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="ProcessDataSoapIn">
		<part name="processId" type="xsd:int"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="ProcessDataSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcessData"></part>
	</message>
	<message name="ProcessDataFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="ProcessDataFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="ProcessDataFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="ProcessDataFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="ExitProcessSoapIn">
		<part name="processId" type="xsd:int"></part>
		<part name="reason" type="xsd:string"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="ExitProcessSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="ExitProcessFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="ExitProcessFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="ExitProcessFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="ExitProcessFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="ExitProcessFaultBadPermission">
		<part name="BadPermission" type="tns:SOAPBadPermissionException"></part>
	</message>
	<message name="LoginSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="LoginSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="LoginFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="LoginFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="DelegateProcessSoapIn">
		<part name="processId" type="xsd:int"></part>
		<part name="to" type="xsd:string"></part>
		<part name="reason" type="xsd:string"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="DelegateProcessSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="DelegateProcessFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="DelegateProcessFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="DelegateProcessFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="DelegateProcessFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="DelegateProcessFaultBadPermission">
		<part name="BadPermission" type="tns:SOAPBadPermissionException"></part>
	</message>
	<message name="ActiveProcessesSoapIn">
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="ActiveProcessesSoapOut">
		<part name="return" type="tns:CollectionOfSOAPProcess"></part>
	</message>
	<message name="ActiveProcessesFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="ActiveProcessesFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="ActiveProcessesFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="LogoutSoapIn"></message>
	<message name="LogoutSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="LogoutFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="LogoutFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="ScheduleProcessWithDataSoapIn">
		<part name="processId" type="xsd:int"></part>
		<part name="processData" type="tns:CollectionOfSOAPProcessData"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="ScheduleProcessWithDataSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="ScheduleProcessWithDataFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="ScheduleProcessWithDataFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="ScheduleProcessWithDataFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="ScheduleProcessWithDataFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="ScheduleProcessWithDataFaultBadPermission">
		<part name="BadPermission" type="tns:SOAPBadPermissionException"></part>
	</message>
	<message name="ExitSoapIn"></message>
	<message name="ExitSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="ScheduleProcessSoapIn">
		<part name="processId" type="xsd:int"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="ScheduleProcessSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="ScheduleProcessFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="ScheduleProcessFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="ScheduleProcessFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="ScheduleProcessFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="ScheduleProcessFaultBadPermission">
		<part name="BadPermission" type="tns:SOAPBadPermissionException"></part>
	</message>
	<message name="EndSoapIn"></message>
	<message name="EndSoapOut">
		<part name="return" type="xsd:boolean"></part>
	</message>
	<message name="EndFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="EndFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="StartProcessSoapIn">
		<part name="name" type="tns:SOAPProcessName"></part>
		<part name="additionalName" type="xsd:string"></part>
		<part name="login" type="tns:SOAPLogin"></part>
	</message>
	<message name="StartProcessSoapOut">
		<part name="return" type="tns:SOAPProcess"></part>
	</message>
	<message name="StartProcessFaultBadLogin">
		<part name="BadLogin" type="tns:SOAPLoginException"></part>
	</message>
	<message name="StartProcessFaultEngineInUse">
		<part name="EngineInUse" type="tns:SOAPEngineInUseException"></part>
	</message>
	<message name="StartProcessFaultSchedulerInUse">
		<part name="SchedulerInUse" type="tns:SOAPSchedulerInUseException"></part>
	</message>
	<message name="StartProcessFaultBadProcess">
		<part name="BadProcess" type="tns:SOAPBadProcessException"></part>
	</message>
	<message name="StartProcessFaultBadPermission">
		<part name="BadPermission" type="tns:SOAPBadPermissionException"></part>
	</message>
	<portType name="OfficeTalkSOAP">
		<operation name="TakeoverProcesses" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:TakeoverProcessesSoapIn"></input>
			<output message="tns:TakeoverProcessesSoapOut"></output>
			<fault message="tns:TakeoverProcessesFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:TakeoverProcessesFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:TakeoverProcessesFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="OwnedProcessTemplates" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:OwnedProcessTemplatesSoapIn"></input>
			<output message="tns:OwnedProcessTemplatesSoapOut"></output>
			<fault message="tns:OwnedProcessTemplatesFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:OwnedProcessTemplatesFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:OwnedProcessTemplatesFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="IsLoggedIn" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:IsLoggedInSoapIn"></input>
			<output message="tns:IsLoggedInSoapOut"></output>
		</operation>
		<operation name="VisibleProcessTemplates" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:VisibleProcessTemplatesSoapIn"></input>
			<output message="tns:VisibleProcessTemplatesSoapOut"></output>
			<fault message="tns:VisibleProcessTemplatesFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:VisibleProcessTemplatesFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:VisibleProcessTemplatesFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="UsedProcessData" parameterOrder="name login">
			<documentation></documentation>
			<input message="tns:UsedProcessDataSoapIn"></input>
			<output message="tns:UsedProcessDataSoapOut"></output>
			<fault message="tns:UsedProcessDataFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:UsedProcessDataFaultBadProcess" name="BadProcess"></fault>
		</operation>
		<operation name="StartProcessWithData" parameterOrder="name additionalName processData login">
			<documentation></documentation>
			<input message="tns:StartProcessWithDataSoapIn"></input>
			<output message="tns:StartProcessWithDataSoapOut"></output>
			<fault message="tns:StartProcessWithDataFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:StartProcessWithDataFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:StartProcessWithDataFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:StartProcessWithDataFaultBadProcess" name="BadProcess"></fault>
			<fault message="tns:StartProcessWithDataFaultBadPermission" name="BadPermission"></fault>
		</operation>
		<operation name="ProcessTemplates" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:ProcessTemplatesSoapIn"></input>
			<output message="tns:ProcessTemplatesSoapOut"></output>
			<fault message="tns:ProcessTemplatesFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:ProcessTemplatesFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:ProcessTemplatesFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="ProcessData" parameterOrder="processId login">
			<documentation></documentation>
			<input message="tns:ProcessDataSoapIn"></input>
			<output message="tns:ProcessDataSoapOut"></output>
			<fault message="tns:ProcessDataFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:ProcessDataFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:ProcessDataFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:ProcessDataFaultBadProcess" name="BadProcess"></fault>
		</operation>
		<operation name="ExitProcess" parameterOrder="processId reason login">
			<documentation></documentation>
			<input message="tns:ExitProcessSoapIn"></input>
			<output message="tns:ExitProcessSoapOut"></output>
			<fault message="tns:ExitProcessFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:ExitProcessFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:ExitProcessFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:ExitProcessFaultBadProcess" name="BadProcess"></fault>
			<fault message="tns:ExitProcessFaultBadPermission" name="BadPermission"></fault>
		</operation>
		<operation name="Login" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:LoginSoapIn"></input>
			<output message="tns:LoginSoapOut"></output>
			<fault message="tns:LoginFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:LoginFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="DelegateProcess" parameterOrder="processId to reason login">
			<documentation></documentation>
			<input message="tns:DelegateProcessSoapIn"></input>
			<output message="tns:DelegateProcessSoapOut"></output>
			<fault message="tns:DelegateProcessFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:DelegateProcessFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:DelegateProcessFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:DelegateProcessFaultBadProcess" name="BadProcess"></fault>
			<fault message="tns:DelegateProcessFaultBadPermission" name="BadPermission"></fault>
		</operation>
		<operation name="ActiveProcesses" parameterOrder="login">
			<documentation></documentation>
			<input message="tns:ActiveProcessesSoapIn"></input>
			<output message="tns:ActiveProcessesSoapOut"></output>
			<fault message="tns:ActiveProcessesFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:ActiveProcessesFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:ActiveProcessesFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="Logout">
			<documentation></documentation>
			<input message="tns:LogoutSoapIn"></input>
			<output message="tns:LogoutSoapOut"></output>
			<fault message="tns:LogoutFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:LogoutFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="ScheduleProcessWithData" parameterOrder="processId processData login">
			<documentation></documentation>
			<input message="tns:ScheduleProcessWithDataSoapIn"></input>
			<output message="tns:ScheduleProcessWithDataSoapOut"></output>
			<fault message="tns:ScheduleProcessWithDataFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:ScheduleProcessWithDataFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:ScheduleProcessWithDataFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:ScheduleProcessWithDataFaultBadProcess" name="BadProcess"></fault>
			<fault message="tns:ScheduleProcessWithDataFaultBadPermission" name="BadPermission"></fault>
		</operation>
		<operation name="Exit">
			<documentation></documentation>
			<input message="tns:ExitSoapIn"></input>
			<output message="tns:ExitSoapOut"></output>
		</operation>
		<operation name="ScheduleProcess" parameterOrder="processId login">
			<documentation></documentation>
			<input message="tns:ScheduleProcessSoapIn"></input>
			<output message="tns:ScheduleProcessSoapOut"></output>
			<fault message="tns:ScheduleProcessFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:ScheduleProcessFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:ScheduleProcessFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:ScheduleProcessFaultBadProcess" name="BadProcess"></fault>
			<fault message="tns:ScheduleProcessFaultBadPermission" name="BadPermission"></fault>
		</operation>
		<operation name="End">
			<documentation></documentation>
			<input message="tns:EndSoapIn"></input>
			<output message="tns:EndSoapOut"></output>
			<fault message="tns:EndFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:EndFaultSchedulerInUse" name="SchedulerInUse"></fault>
		</operation>
		<operation name="StartProcess" parameterOrder="name additionalName login">
			<documentation></documentation>
			<input message="tns:StartProcessSoapIn"></input>
			<output message="tns:StartProcessSoapOut"></output>
			<fault message="tns:StartProcessFaultBadLogin" name="BadLogin"></fault>
			<fault message="tns:StartProcessFaultEngineInUse" name="EngineInUse"></fault>
			<fault message="tns:StartProcessFaultSchedulerInUse" name="SchedulerInUse"></fault>
			<fault message="tns:StartProcessFaultBadProcess" name="BadProcess"></fault>
			<fault message="tns:StartProcessFaultBadPermission" name="BadPermission"></fault>
		</operation>
	</portType>
	<binding name="OfficeTalkSOAP" type="tns:OfficeTalkSOAP">
		<soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"></soap:binding>
		<operation name="TakeoverProcesses">
			<soap:operation soapAction="OfficeTalk#TakeoverProcesses" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="OwnedProcessTemplates">
			<soap:operation soapAction="OfficeTalk#OwnedProcessTemplates" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="IsLoggedIn">
			<soap:operation soapAction="OfficeTalk#IsLoggedIn" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
		</operation>
		<operation name="VisibleProcessTemplates">
			<soap:operation soapAction="OfficeTalk#VisibleProcessTemplates" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="UsedProcessData">
			<soap:operation soapAction="OfficeTalk#UsedProcessData" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="StartProcessWithData">
			<soap:operation soapAction="OfficeTalk#StartProcessWithData" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
			<fault name="BadPermission">
				<soap:fault name="BadPermission" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="ProcessTemplates">
			<soap:operation soapAction="OfficeTalk#ProcessTemplates" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="ProcessData">
			<soap:operation soapAction="OfficeTalk#ProcessData" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="ExitProcess">
			<soap:operation soapAction="OfficeTalk#ExitProcess" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
			<fault name="BadPermission">
				<soap:fault name="BadPermission" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="Login">
			<soap:operation soapAction="OfficeTalk#Login" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="DelegateProcess">
			<soap:operation soapAction="OfficeTalk#DelegateProcess" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
			<fault name="BadPermission">
				<soap:fault name="BadPermission" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="ActiveProcesses">
			<soap:operation soapAction="OfficeTalk#ActiveProcesses" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="Logout">
			<soap:operation soapAction="OfficeTalk#Logout" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="ScheduleProcessWithData">
			<soap:operation soapAction="OfficeTalk#ScheduleProcessWithData" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
			<fault name="BadPermission">
				<soap:fault name="BadPermission" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="Exit">
			<soap:operation soapAction="OfficeTalk#Exit" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
		</operation>
		<operation name="ScheduleProcess">
			<soap:operation soapAction="OfficeTalk#ScheduleProcess" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
			<fault name="BadPermission">
				<soap:fault name="BadPermission" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="End">
			<soap:operation soapAction="OfficeTalk#End" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
		</operation>
		<operation name="StartProcess">
			<soap:operation soapAction="OfficeTalk#StartProcess" style="rpc"></soap:operation>
			<input>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</input>
			<output>
				<soap:body namespace="OfficeTalk" use="literal"></soap:body>
			</output>
			<fault name="BadLogin">
				<soap:fault name="BadLogin" use="literal"></soap:fault>
			</fault>
			<fault name="EngineInUse">
				<soap:fault name="EngineInUse" use="literal"></soap:fault>
			</fault>
			<fault name="SchedulerInUse">
				<soap:fault name="SchedulerInUse" use="literal"></soap:fault>
			</fault>
			<fault name="BadProcess">
				<soap:fault name="BadProcess" use="literal"></soap:fault>
			</fault>
			<fault name="BadPermission">
				<soap:fault name="BadPermission" use="literal"></soap:fault>
			</fault>
		</operation>
	</binding>
	<service name="OfficeTalkSOAP">
		<port binding="tns:OfficeTalkSOAP" name="OfficeTalkSOAP">
			<soap:address location="http://localhost:8889/OfficeTalk"></soap:address>
		</port>
	</service>
	<schemaBindings>
		<xmlToSmalltalkBinding defaultClassNamespace="Joops.OfficeTalk" elementFormDefault="qualified" name="" targetNamespace="OfficeTalk" xmlns="urn:visualworks:VWSchemaBinding" xmlns:tns="OfficeTalk" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
			<sequence_of name="CollectionOfSOAPProcessData">
				<element maxOccurs="unbounded" minOccurs="0" name="SOAPProcessData" ref="tns:SOAPProcessData"></element>
			</sequence_of>
			<sequence_of name="CollectionOfSOAPProcess">
				<element maxOccurs="unbounded" minOccurs="0" name="SOAPProcess" ref="tns:SOAPProcess"></element>
			</sequence_of>
			<sequence_of name="CollectionOfSOAPProcessTemplate">
				<element maxOccurs="unbounded" minOccurs="0" name="SOAPProcessTemplate" ref="tns:SOAPProcessTemplate"></element>
			</sequence_of>
			<object name="SOAPLogin" smalltalkClass="SOAPLogin">
				<element aspect="password" name="password" ref="xsd:string"></element>
				<element aspect="worker" name="worker" ref="xsd:string"></element>
			</object>
			<object name="SOAPProcessName" smalltalkClass="SOAPProcessName">
				<element aspect="name" name="name" ref="xsd:string"></element>
				<element aspect="category" name="category" ref="xsd:string"></element>
			</object>
			<object name="SOAPProcessData" smalltalkClass="SOAPProcessData">
				<choiceRelation aspect="value" minOccurs="0" name="value">
					<element minOccurs="0" name="stringValue" ref="xsd:string"></element>
					<element minOccurs="0" name="integerValue" ref="xsd:int"></element>
					<element minOccurs="0" name="doubleValue" ref="xsd:double"></element>
					<element minOccurs="0" name="floatValue" ref="xsd:float"></element>
					<element minOccurs="0" name="booleanValue" ref="xsd:boolean"></element>
					<element minOccurs="0" name="dateValue" ref="xsd:date"></element>
					<element minOccurs="0" name="timeValue" ref="xsd:time"></element>
				</choiceRelation>
				<element aspect="group" name="group" ref="xsd:string"></element>
				<element aspect="item" name="item" ref="xsd:string"></element>
			</object>
			<object name="SOAPLoginException" smalltalkClass="SOAPLoginException">
				<element aspect="messageText" minOccurs="0" name="messageText" ref="xsd:string"></element>
			</object>
			<object name="SOAPBadProcessException" smalltalkClass="SOAPBadProcessException">
				<element aspect="messageText" minOccurs="0" name="messageText" ref="xsd:string"></element>
			</object>
			<object name="SOAPProcess" smalltalkClass="SOAPProcess">
				<element aspect="name" name="name" ref="tns:SOAPProcessName"></element>
				<element aspect="identity" name="identity" ref="xsd:int"></element>
				<element aspect="description" name="description" ref="xsd:string"></element>
				<element aspect="additionalName" name="additionalName" ref="xsd:string"></element>
				<element aspect="currentStep" name="currentStep" ref="tns:SOAPStep"></element>
			</object>
			<object name="SOAPStep" smalltalkClass="SOAPStep">
				<element aspect="name" name="name" ref="tns:SOAPStepName"></element>
				<element aspect="date" name="date" ref="xsd:date"></element>
				<element aspect="description" name="description" ref="xsd:string"></element>
				<element aspect="time" name="time" ref="xsd:time"></element>
				<element aspect="worker" name="worker" ref="tns:SOAPWorker"></element>
			</object>
			<object name="SOAPStepName" smalltalkClass="SOAPStepName">
				<element aspect="name" name="name" ref="xsd:string"></element>
				<element aspect="category" name="category" ref="xsd:string"></element>
			</object>
			<object name="SOAPWorker" smalltalkClass="SOAPWorker">
				<element aspect="name" name="name" ref="xsd:string"></element>
				<element aspect="loginPath" name="loginPath" ref="xsd:string"></element>
				<element aspect="description" name="description" ref="xsd:string"></element>
				<element aspect="loginName" name="loginName" ref="xsd:string"></element>
			</object>
			<object name="SOAPEngineInUseException" smalltalkClass="SOAPEngineInUseException">
				<element aspect="messageText" minOccurs="0" name="messageText" ref="xsd:string"></element>
			</object>
			<object name="SOAPSchedulerInUseException" smalltalkClass="SOAPSchedulerInUseException">
				<element aspect="messageText" minOccurs="0" name="messageText" ref="xsd:string"></element>
			</object>
			<object name="SOAPBadPermissionException" smalltalkClass="SOAPBadPermissionException">
				<element aspect="messageText" minOccurs="0" name="messageText" ref="xsd:string"></element>
			</object>
			<object name="SOAPProcessTemplate" smalltalkClass="SOAPProcessTemplate">
				<element aspect="name" name="name" ref="tns:SOAPProcessName"></element>
				<element aspect="firstStep" minOccurs="0" name="firstStep" ref="tns:SOAPStepTemplate"></element>
				<element aspect="owner" minOccurs="0" name="worker" ref="tns:SOAPWorker"></element>
				<element aspect="description" name="description" ref="xsd:string"></element>
			</object>
			<object name="SOAPStepTemplate" smalltalkClass="SOAPStepTemplate">
				<element aspect="name" name="name" ref="tns:SOAPStepName"></element>
				<element aspect="estimatedTime" name="estimatedTime" ref="xsd:int"></element>
				<element aspect="description" name="description" ref="xsd:string"></element>
				<element aspect="worker" name="worker" ref="tns:SOAPWorker"></element>
			</object>
		</xmlToSmalltalkBinding>
	</schemaBindings>
</definitions>
